RDKit::ExclusionList Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::ExclusionList:

## Public Member Functions

| ExclusionList ()
| ExclusionList (const std::vector< boost::shared_ptr< FilterMatcherBase >> &offPatterns)
virtual std::string | getName () const
bool | isValid () const
void | addPattern (const FilterMatcherBase &base)
void | setExclusionPatterns (const std::vector< boost::shared_ptr< FilterMatcherBase >> &offPatterns)
virtual bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &) const
| getMatches More...
virtual bool | hasMatch (const ROMol &mol) const
| hasMatches More...
virtual boost::shared_ptr< FilterMatcherBase > | copy () const
| copy More...
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone - deprecated. More...

## Detailed Description

Definition at line 371 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## ExclusionList() [1/2]

RDKit::ExclusionList::ExclusionList | ( |  | ) |

inline

Definition at line 375 of file FilterMatchers.h.

## ExclusionList() [2/2]

RDKit::ExclusionList::ExclusionList | ( | const std::vector< boost::shared_ptr< FilterMatcherBase >> & | offPatterns | ) |

inline

Constructs an ExclusionList true if non of the FilterMatcherBases are true Syntactic sugar for using FilterMatchOps; And(Not(SmartsMatcher(pat1), And(Not(SmartsMatcher(pat2)), And(Not(Single...

Definition at line 385 of file FilterMatchers.h.

## Member Function Documentation

## addPattern()

void RDKit::ExclusionList::addPattern | ( | const FilterMatcherBase & | base | ) |

inline

Definition at line 405 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::copy(), RDKit::FilterMatcherBase::isValid(), and PRECONDITION.

## copy()

virtual boost::shared_ptr<FilterMatcherBase> RDKit::ExclusionList::copy | ( |  | ) | const

inline virtual

copy

Implements RDKit::FilterMatcherBase.

Definition at line 437 of file FilterMatchers.h.

## getMatches()

virtual bool RDKit::ExclusionList::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const

inline virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 415 of file FilterMatchers.h.

References PRECONDITION.

## getName()

virtual std::string RDKit::ExclusionList::getName | ( |  | ) | const

inline virtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 389 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

## hasMatch()

virtual bool RDKit::ExclusionList::hasMatch | ( | const ROMol & | mol | ) | const

inline virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 426 of file FilterMatchers.h.

References PRECONDITION.

## isValid()

bool RDKit::ExclusionList::isValid | ( |  | ) | const

inline virtual

Implements RDKit::FilterMatcherBase.

Definition at line 399 of file FilterMatchers.h.

## setExclusionPatterns()

void RDKit::ExclusionList::setExclusionPatterns | ( | const std::vector< boost::shared_ptr< FilterMatcherBase >> & | offPatterns | ) |

inline

Definition at line 410 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h